<template>

  <Head>
    <title>Add New Customer - GreenK Cashier</title>
  </Head>
  <main class="c-main">
    <div class="container-fluid">
      <div class="fade-in">
        <div class="row">
          <div class="col-md-12">
            <div class="card border-0 rounded-3 shadow">
              <div class="card-header bg-primary text-white">
                <span class="font-weight-bold"><i class="fa fa-user-circle me-2"></i> ADD NEW CUSTOMER</span>
              </div>
              <div class="card-body">
                <!-- form create customer -->
                <form @submit.prevent="submit">
                  <!-- full name-->
                  <div class="mb-3">
                    <label class="fw-bold">Full Name</label>
                    <input class="form-control" v-model="form.name" :class="{ 'is-invalid': errors.name }" type="text"
                      placeholder="Full Name">
                  </div>
                  <div v-if="errors.name" class="text-danger mb-3" style="margin-top: -15px">
                    <small><strong>{{ errors.name }}</strong></small>
                  </div>

                  <!-- phone number -->
                  <label class="fw-bold">Phone Number</label>
                  <div class="input-group mb-3">
                    <div class="input-group-prepend">
                      <div class="input-group-text">
                        +62
                      </div>
                    </div>
                    <input class="form-control" v-model="form.phone_number"
                      :class="{ 'is-invalid': errors.phone_number }" type="number" placeholder="Phone Number">
                  </div>
                  <div v-if="errors.phone_number" class="text-danger mb-3" style="margin-top: -15px">
                    <small><strong>{{ errors.phone_number }}</strong></small>
                  </div>

                  <!-- address -->
                  <div class="mb-3">
                    <label class="fw-bold">Address</label>
                    <textarea class="form-control" v-model="form.address" :class="{ 'is-invalid': errors.address }"
                      type="text" rows="4" placeholder="Address"></textarea>
                  </div>
                  <div v-if="errors.address" class="text-danger mb-3" style="margin-top: -15px">
                    <small><strong>{{ errors.address }}</strong></small>
                  </div>

                  <!-- button submit -->
                  <div class="row">
                    <div class="col-12">
                      <button class="btn btn-primary shadow-sm rounded" type="submit">
                        SAVE
                      </button>
                    </div>
                  </div>
                </form>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>
</template>

<script>
// import layout
import LayoutApp from '../../../Layouts/App.vue';

// import Head and Link from Inertia
import { Head, Link } from '@inertiajs/vue3';

// import reactive from vue
import { reactive } from 'vue';

// import inerita adapter
import { router } from '@inertiajs/vue3';

// import sweet alert2
import Swal from 'sweetalert2';

export default {
  // layout
  layout: LayoutApp,

  // register components
  components: {
    Head,
    Link
  },

  // props
  props: {
    errors: Object,
  },

  // composition API
  setup() {

    // define form with reactive
    const form = reactive({
      name: '',
      phone_number: '',
      address: ''
    });

    // method "submit"
    const submit = () => {

      // send data to server
      router.post('/apps/customers', {
        // data
        name: form.name,
        phone_number: form.phone_number,
        address: form.address,
      }, {
        onSuccess: () => {
          // show success alert
          Swal.fire({
            title: 'Created!',
            text: 'Customer has been created.',
            icon: 'success',
            showConfirmButton: false,
            timer: 2000
          });
        },
      });
    }

    // return
    return {
      form,
      submit,
    }

  }
}
</script>

<style>

</style>